%define module_name Date-Period-Human
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Calc.pm) perl(DateTime/Format/MySQL.pm) perl(Module/Build/Tiny.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.6
Release: alt1
Summary: Human readable date periods
Group: Development/Perl
License: perl
URL: https://github.com/pstuifzand/date-period-human

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STUIFZAND/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Creates a string of relative time. This is useful when you're showing user
created content, where it's nicer to show how long ago the item was posted
instead of the date and time.

This also solves the problem where you don't know the timezone of the user who
is viewing the item. This is solved because you show relative time instead of
absolute time in most cases. 

There is one case that isn't relative.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTORS LICENSE README
%perl_vendor_privlib/D*

%changelog
* Sun Mar 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.6-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.4.5-alt1
- regenerated from template by package builder

* Thu Mar 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1
- regenerated from template by package builder

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1
- initial import by package builder

